Subject: Re: linux-next: build failure after merge of the watchdog tree

From: Wim Van Sebroeck <[email-masked]>
Date: Fri, 13 Sep 2024 10:31:20 +0200

Hi Stephen,

> Hi all,
> 
> On Wed, 11 Sep 2024 14:55:43 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the watchdog tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > ERROR: modpost: missing MODULE_LICENSE() in drivers/watchdog/rzv2h_wdt.o
> > 
> > Caused by commit
> > 
> >   f6febd0a30b6 ("watchdog: Add Watchdog Timer driver for RZ/V2H(P)")
> > 
> > I have used the watchdog tree from next-20240910 for today.
> 
> I am still seeing this failure.

The fix is in now.

Kind regards,
Wim.